@rem *************************************************************************
@rem 
@rem The ant taks wlconfig will automatically boostrap the domain and create start scripts.
@rem However those won't start pointbase for you automatically, so these get copied and have 
@rem @WL_HOME@ replaced by roller.home/setup/build.xml into roller.home/domain directory 
@rem 
@rem You should use these instead of those to start WebLogic.
@rem 
@rem 
@rem This script is used to start WebLogic Server for the domain in the 
@rem current working directory.  This script simply sets the SERVER_NAME 
@rem variable and calls the startWLS.cmd script under
@rem %WL_HOME%\server\bin.
@rem
@rem To create your own start script for your domain, all you need to set is 
@rem SERVER_NAME, then start the server.
@rem
@rem Other variables that startWLS takes are:
@rem
@rem WLS_USER     - cleartext user for server startup
@rem WLS_PW       - cleartext password for server startup
@rem STARTMODE    - true for production mode servers, false for 
@rem                development mode
@rem JAVA_OPTIONS - Java command-line options for running the server. (These
@rem                will be tagged on to the end of the JAVA_VM and MEM_ARGS)
@rem JAVA_VM      - The java arg specifying the VM to run.  (i.e. -server, 
@rem                -hotspot, etc.)
@rem MEM_ARGS     - The variable to override the standard memory arguments
@rem                passed to java
@rem
@rem For additional information, refer to the WebLogic Server Administration Guide
@rem in the BEA online documentation at (http://e-docs.bea.com).
@rem *************************************************************************

echo off
SETLOCAL

set WL_HOME=@WL_HOME@
call "%WL_HOME%\common\bin\commEnv.cmd"
@rem Set SERVER_NAME to the name of the server you wish to start up.
set SERVER_NAME="rollerserver"
@rem Set WLS_USER equal to your system username and WLS_PW equal  
@rem to your system password for no username and password prompt 
@rem during server startup.  Both are required to bypass the startup
@rem prompt.  This is not recomended for a production environment.
set WLS_USER=
set WLS_PW=

@rem Set Production Mode.  When this is set to true, the server starts up in 
@rem production mode.  When set to false, the server starts up in development 
@rem mode.  If it is not set, it will default to false.
set STARTMODE=

@rem Set JAVA_OPTIONS to the java flags you want to pass to the vm. i.e.: 
@rem set JAVA_OPTIONS=-Dweblogic.attribute=value -Djava.attribute=value
set JAVA_OPTIONS=

@rem Set JAVA_VM to the java virtual machine you want to run.  For instance:
@rem For instance:
@rem if "%JAVA_VENDOR%"=="BEA" set JAVA_VM=-jrocket
set JAVA_VM=

set CLASSPATH=%WEBLOGIC_CLASSPATH%;%POINTBASE_CLASSPATH%;%JAVA_HOME%\jre\lib\rt.jar;%WL_HOME%\server\lib\webservices.jar;%CLASSPATH%;.\mysql-connector-java-3.0.8-stable-bin.jar

@rem NOT starting pointbase, because I was unable to get roller to work with it
@rem Start PointBase 4.4.
start "PointBase" cmd /c ""%JAVA_HOME%\bin\java" com.pointbase.net.netServer /port:9092 /d:3 /pointbase.ini="pointbase.ini"" > "pointbase.log" 2>&1
@rem *************************************************************************


@rem Set MEM_ARGS to the memory args you want to pass to java.  For instance:
@rem if "%JAVA_VENDOR%"=="BEA" set MEM_ARGS=-Xms32m -Xmx200m
set MEM_ARGS=

@rem Call Weblogic Server

"%JAVA_HOME%\bin\java" %JAVA_VM% %MEM_ARGS% %JAVA_OPTIONS% -Dweblogic.Name=%SERVER_NAME% -Dweblogic.management.username=%WLS_USER% -Dweblogic.management.password=%WLS_PW% -Dweblogic.ProductionModeEnabled=%STARTMODE% -Djava.security.policy="%WL_HOME%\server\lib\weblogic.policy" weblogic.Server
ENDLOCAL
